dofile('data/Scenes/5_ferruginous_ship_inside_Anim_Sea.lua ')

local PATH_COMICS_5_ON_SHOWN            = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_5_ON_WIN              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_5_FIND_LIGHTER        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_5_CLOSE_DOOR          = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_MINIGAME_5_GEAR              = 'data/Scenes/MiniGames/6_rock_skull_day_gear.lua'
local PATH_COMICS_5_LAMP_WITH_LIGHT		= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_5_MATCHS				= 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_5_CROWBAR				= 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()

	---------------------------------------------------------------------------------------------
	level:AddTaskSafe( CreateEmptyTask('OXYGEN_CYLINDER', '', 'ballon') )
	level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
	level:AddTaskSafe(CreateTask('CLOCK', '', 'clock'))
    AddRandomTasks(10,
                   CreateTask('777', '', '777'),
                   CreateTask('SHOES', '', 'boots'),
                   CreateTask('PHOTO_CAMERA', '', 'camera'),
                   CreateTask('FAN', '', 'fan'),
                   CreateTask('BARREL', '', 'flank'),
                   CreateTask('FLIPPERS', '', 'flippers'),
                   CreateTask('GLASSES', '', 'glasses'),
                   CreateTask('GLOVES', '', 'gloves'),
                   CreateTask('GUITAR', '', 'guitar'),
                   CreateTask('HAMMER', '', 'hammer'),
                   CreateTask('KNIFE', 'KNIVES', 'knife', 'knife2'),
                   CreateTask('BINOCULARS', '', 'pair_of_glasses'),
                   CreateTask('PEAR', '', 'pear'),
                   CreateTask('SAW_BLADE', 'SAW_BLADES', 'saw', 'gear_wheel'),
                   CreateTask('PROPELLER', '', 'screw'),
                   CreateTask('VIDEO_CAMERA', '', 'video_camera'),
                   CreateTask('BOTTLE', '', 'bottle'),
                   CreateTask('CAGE', '', 'cage'),
                   CreateTask('CHAIN', '', 'chain'),
                   CreateTask('FORMULA', '', 'formula'),
                   CreateTask('ACORN', '', 'acorn'),
                   CreateTask('DART', '', 'darts'),
				   CreateTask('WRENCH', '', 'wrench'),
				   CreateTask('ANVIL', '', 'anvil'),
				   CreateTask('BAG', 'BAGS', 'bag1', 'bag2'),
				   CreateTask('CART', '', 'cart'),
				   CreateTask('BROCCOLI', '', 'cauliflower'),
				   CreateTask('EXCLAMATION_POINT', '', 'exclamation_point'),
				   CreateTask('HARD_HAT', 'HARD_HATS', 'hard_hat1', 'hard_hat2'),
				   CreateTask('LEMON', '', 'lemon'),
				   CreateTask('LOUDSPEAKER', 'LOUDSPEAKERS', 'loudspeaker1', 'loudspeaker2'),
				   CreateTask('PEPPER', '', 'pepper'),
				   CreateTask('RIBBON', '', 'ribbon'),
				   CreateTask('SCISSORS', 'SCISSORS', 'scissors1', 'scissors2', 'scissors3'),
				   CreateTask('SEASHELL', 'SEASHELLS', 'seashell2', 'shell'),

                   CreateTask('GEAR', '', 'pinion')
                   )
				   
	play_field:IgnoreOnTestPoint('smoke')
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_5_ON_SHOWN, 'COMICS_5_ON_SHOWN')
                                               end)
    game_state.chain_on_shown.OnHidden = function()
        OnWin()
    end
    ---------------------------------------------------------------------------------------------
    local obj_door = pf:GetObject('door')
    obj_door:GetAnimation():Stop()
    obj_door:GetAnimation():SetMode(HGEANIM_NOLOOP)
    ---------------------------------------------------------------------------------------------
    local anim_lamp_fire = createCompositionlamp_fire()
    anim_lamp_fire:AttachTo(screen)
    anim_lamp_fire:SetZ(89)
    anim_lamp_fire:SetCyclic(true)
    anim_lamp_fire:SetOpacity(0)
    ---------------------------------------------------------------------------------------------
    pf:IgnoreOnTestPoint('lamp_with_light')
    ---------------------------------------------------------------------------------------------
    zone_ceiling = CreateZoomZone('close_zone_ceiling',
                                  'pixel_open_ceiling',
                                  'bg_ceiling',
                                  'crowbar',
                                  'zone_ceiling_shadow',
                                  'bottle',
                                  'cage',
                                  'chain',
                                  'formula',
                                  'layer_bottle',
                                  'layer_cage',
                                  'layer_chain'
                                 )
	RegisterInactiveGroup('InTheDarkness', 'crowbar', 'bottle', 'cage', 'chain', 'formula')
    ---------------------------------------------------------------------------------------------    
    zone_stairs = CreateZoomZone('close_zone_stairs',
                                 '', -- 'pixel_open_stairs'
                                 'bg_stairs',
                                 'coin',
                                 'acorn',
                                 'darts',
                                 'pinion'
                                )
    ---------------------------------------------------------------------------------------------
    local photo_action_lamp_with_light = function()
                                                local af = CreateAnimationEffector()
                                                af:AttachTo(anim_lamp_fire)
                                                af:SetKey(_TRACK_O, 0.0, 1.0)
                                                af:SetKey(_TRACK_O, 0.3, 0.0)
                                                af:Play()
                                                
                                                pf:IgnoreOnTestPoint('lamp_with_light');
                                            end
    local apply_action_lamp_with_light = function(save)
                                        if save then
                                            UnregisterInactiveGroup('InTheDarkness')
                                            zone_ceiling.RemoveObject('zone_ceiling_shadow')
                                        else
                                            TimerDo(pf:GetTimer(), 0.3, function()
											                                UnregisterInactiveGroup('InTheDarkness')
                                                                            zone_ceiling.RemoveObject('zone_ceiling_shadow')
                                            end )
                                        end
                             end
    local photo_lamp_with_light = CreatePhotoZoneEx('lamp_with_light', 'lamp_with_light_tool',  
                                                    'LIGHTED_LAMP', 
                                                    'lamp_photo', 
                                                    photo_action_lamp_with_light, 'zone_ceiling_shadow', apply_action_lamp_with_light)
    ---------------------------------------------------------------------------------------------
    local photo_action_crowbar = function()
                                pf:IgnoreOnTestPoint('crowbar')
                             end
    local apply_action_crowbar = function(save)
                                    if save then
                                        pf:GetObject('door'):GetAnimation():Rewind(true)
                                    else
                                        pf:GetObject('door'):GetAnimation():Play()
                                        
                                        PlaySound('05_opening_door');
                                    end
                                    RegisterZoomZone(zone_stairs, 'pixel_open_stairs')
                                    pf:IgnoreOnTestPoint('door')
                             end
    local photo_crowbar = CreatePhotoZone('crowbar', 'CROWBAR', 'crowbar_photo', photo_action_crowbar, 'door', apply_action_crowbar)
    level:GetTask('crowbar'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    local photo_action_matchs = function()
                             end
    local apply_action_matchs = function(save)
                                if save then
                                    pf:GetObject('lamp'):SetOpacity(0)
                                    anim_lamp_fire:SetOpacity(1)
                                else
                                    pf:GetObject('lamp'):ChangeOpacity(1, 0, 0.3)
                                    
                                    local af = CreateAnimationEffector()
                                    af:AttachTo(anim_lamp_fire)
                                    af:SetKey(_TRACK_O, 0.0, 0)
                                    af:SetKey(_TRACK_O, 0.3, 1)
                                    af:Play()
                                    
                                    PlaySound('05_strike_lamp')
                                end
                                pf:DoNotIgnoreOnTestPoint('lamp_with_light')
                             end
    local photo_matchs = CreatePhotoZone('matchs', 'MATCHES', 'matches_photo', photo_action_matchs, 'lamp', apply_action_matchs)
    photo_matchs.zone.SetOffsetHighlight(-20, 0)
    ---------------------------------------------------------------------------------------------
    pf:GetObject('oxygen_cylinder_fall'):SetOpacity(0)
    local clickOnBalloon = function(save)
        local obj_balloon_state = pf:GetObject('oxygen_cylinder_state')
        local obj_balloon_fall = pf:GetObject('oxygen_cylinder_fall')
        local time_fall_balloon = 0.5
    
        if save then
            obj_balloon_state:SetOpacity(0)
            obj_balloon_fall:SetOpacity(0)
            
            game_state.chain_on_shown:Play()
        else
            obj_balloon_state:ChangeOpacity(1, 0, time_fall_balloon)
            obj_balloon_fall:ChangeOpacity(0, 1, time_fall_balloon)
            TimerDo(pf:GetTimer(), time_fall_balloon, function() obj_balloon_fall:ChangeOpacity(1, 0, time_fall_balloon) end)
            
            MakeSoundEntity('05_fall_oxygen_cylinder'):Play(false)
            game_state.locker:AddRef()
            pf:SetEnabled(false)
            SetCursor( GetCursorArrow() )
            level:OnObjectFoundFast( pf:GetObject('ballon') )
            
            TimerDo(play_field:GetTimer(), time_fall_balloon, function()
                                                local obj_lizard = pf:GetObject('lizard_run')
                                                obj_lizard:SetOpacity(1)
                                                obj_lizard:GetAnimation():SetMode(HGEANIM_NOLOOP)
                                                obj_lizard:GetAnimation():Play()
                                                
                                                local anim_length = GetAnimationLength( obj_lizard:GetAnimation() )
                                                TimerDo(pf:GetTimer(), anim_length, function()
                                                            AddGameState(game_state.scene_path, 'lizard_run_end')
                                                            game_state.locker:Release()
                                                            pf:SetEnabled(true)
                                                            
                                                            game_state.chain_on_shown:Play()
                                                        end )
                                            end)
        end
    end
    RegisterActiveObject('oxygen_cylinder_state', clickOnBalloon, false, GetCursorArms())
    ---------------------------------------------------------------------------------------------
    local anim_ship_inside = createCompositionlok5()
    anim_ship_inside:AttachTo(screen)
    anim_ship_inside:SetZ(81)
    anim_ship_inside:SetCyclic(true)

    local anim_ship_spark = createComposition_spark()
    anim_ship_spark:AttachTo(screen)
    anim_ship_spark:SetZ(81)
    local DurationAnim = anim_ship_spark:GetDuration()
    
    function PlayAnimSpark()
        anim_ship_spark:Rewind(false)
        anim_ship_spark:Play()
        
        PlaySound('05_electric_light')
    end
    CallFunctionPeriodicallyVsRandDelay(PlayAnimSpark, 5 + DurationAnim, 10 + DurationAnim)
    
    local anim_ship_drop = createComposition_drop_free_fall()
    anim_ship_drop:AttachTo(screen)
    anim_ship_drop:SetZ(81)
    PlayCompositionPeriodicallyVsRandDelay(anim_ship_drop, 5, 10)
    
    local anim_rat = createComposition_rat_eat()
    anim_rat:AttachTo(screen)
    anim_rat:SetZ(81)

    local anim_ship_smoke = createComposition_smoke()
    anim_ship_smoke:AttachTo(screen)
    anim_ship_smoke:SetZ(80)
    anim_ship_smoke:SetCyclic(true)
    ---------------------------------------------------------------------------------------------
    game_state.zone_lichter = CreateInfoItemZone( pf:GetObject('lighter'), 'LIGHTER', GetString('INFO_ITEM_5_LIGHTER') )
    game_state.zone_lichter.OnHidden = function()
        game_state.find_lichter:Play()
    end
    ---------------------------------------------------------------------------------------------
    pf:GetObject('lizard_run'):SetOpacity(0)
    ---------------------------------------------------------------------------------------------
    game_state.find_lichter = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_5_FIND_LIGHTER, 'COMICS_5_FIND_LIGHTER')
                                               end )
    game_state.find_lichter.OnHidden = function()
        OnWin()
    end
    game_state.chain_on_win = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_5_ON_WIN, 'COMICS_5_ON_WIN')
                                            end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
	game_state.chain_lamp_with_light = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_5_LAMP_WITH_LIGHT, 'COMICS_5_LAMP_WITH_LIGHT');
                                                 end )
	SetHintComicsPhotoZoneEx(photo_lamp_with_light, game_state.chain_lamp_with_light)
	game_state.chain_matchs = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_5_MATCHS, 'COMICS_5_MATCHS')
                                                 end )
	SetHintComicsPhotoZoneEx(photo_matchs, game_state.chain_matchs)
	
	game_state.chain_crowbar = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_5_CROWBAR, 'COMICS_5_CROWBAR');
                                                 end )
	SetHintComicsPhotoZoneEx(photo_crowbar, game_state.chain_crowbar)
    ---------------------------------------------------------------------------------------------
    RegisterMiniGame(PATH_MINIGAME_5_GEAR, function()
                                                LoadMiniGames(PATH_MINIGAME_5_GEAR)
                                            end )
    if IsExistMiniGame() == false and IsMiniGamePlay(PATH_MINIGAME_5_GEAR) == false and level:IsTaskObject('clock') == false then
        PlayRegisterMiniGame(PATH_MINIGAME_5_GEAR)
    end	
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
end

function IsLizardRun()
    return HasGameState(game_state.scene_path, 'lizard_run_end')
end

function OnHiddenComics(comics)
end

function OnMinigameCompleted()
    game_state.zone_lichter.Play()
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if  play_field:GetLevelScreen():IsCompleteLevel() and
        IsMiniGamePlay(PATH_MINIGAME_5_GEAR) and
        game_state.chain_on_shown.played and
        game_state.find_lichter.played
    then
        game_state.chain_on_win.Play()
    end
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'clock' then
        PlayRegisterMiniGame(PATH_MINIGAME_5_GEAR)
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)

end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/777.png',0,0,88,36,1,0)
	anim:SetHotSpot(44,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('777',anim,790,112,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/boots.png',0,0,71,70,1,0)
	anim:SetHotSpot(35,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boots',anim,293,606,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/camera.png',0,0,76,58,1,0)
	anim:SetHotSpot(38,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('camera',anim,987,383,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/fan.png',0,0,120,63,1,0)
	anim:SetHotSpot(60,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,655,629,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/flippers.png',0,0,121,74,1,0)
	anim:SetHotSpot(60,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flippers',anim,665,482,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/gear_wheel.png',0,0,46,34,1,0)
	anim:SetHotSpot(23,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear_wheel',anim,441,525,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/glasses.png',0,0,60,38,1,0)
	anim:SetHotSpot(30,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,891,385,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/gloves.png',0,0,90,62,1,0)
	anim:SetHotSpot(45,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gloves',anim,415,654,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/guitar.png',0,0,74,138,1,0)
	anim:SetHotSpot(37,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('guitar',anim,352,385,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/hammer.png',0,0,83,60,1,0)
	anim:SetHotSpot(41,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,529,729,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/knife.png',0,0,126,39,1,0)
	anim:SetHotSpot(63,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife',anim,776,730,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/pair_of_glasses.png',0,0,73,65,1,0)
	anim:SetHotSpot(36,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_glasses',anim,260,714,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/pear.png',0,0,30,36,1,0)
	anim:SetHotSpot(15,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pear',anim,501,540,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/screw.png',0,0,58,68,1,0)
	anim:SetHotSpot(29,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screw',anim,581,244,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/video_camera.png',0,0,129,95,1,0)
	anim:SetHotSpot(64,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('video_camera',anim,954,724,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/saw.png',0,0,78,53,1,0)
	anim:SetHotSpot(39,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw',anim,756,468,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_ceiling',anim,541,103,100,0,22,12)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/bg_ceiling.jpg',0,0,632,480,1,0)
	anim:SetHotSpot(316,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_ceiling',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/crowbar.png',0,0,127,87,1,0)
	anim:SetHotSpot(63,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('crowbar',anim,617,426,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_stairs',anim,633,424,100,0,7,3)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomStairs/bg_stairs.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_stairs',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/matchs.png',0,0,45,31,1,0)
	anim:SetHotSpot(22,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('matchs',anim,880,740,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/zone_ceiling_shadow.png',0,0,632,480,1,0)
	anim:SetHotSpot(316,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zone_ceiling_shadow',anim,512,384,600,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Animations/door.png',0,0,189,188,2,4)
	anim:SetHotSpot(94,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door',anim,656,359,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Photo/matches_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('matches_photo',anim,103,158,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Photo/lamp_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp_photo',anim,101,158,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Photo/crowbar_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crowbar_photo',anim,101,159,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Items/bottle.png',0,0,45,61,1,0)
	anim:SetHotSpot(22,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bottle',anim,540,346,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Items/cage.png',0,0,94,113,1,0)
	anim:SetHotSpot(47,56)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cage',anim,414,368,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Items/chain.png',0,0,29,185,1,0)
	anim:SetHotSpot(14,92)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('chain',anim,299,234,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Items/formula.png',0,0,156,41,1,0)
	anim:SetHotSpot(78,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('formula',anim,602,228,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Layers/layer_bottle.png',0,0,29,42,1,0)
	anim:SetHotSpot(14,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_bottle',anim,533,360,551,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Layers/layer_cage.png',0,0,101,97,1,0)
	anim:SetHotSpot(50,48)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_cage',anim,411,387,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomCeiling/Layers/layer_chain.png',0,0,41,192,1,0)
	anim:SetHotSpot(20,96)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_chain',anim,297,235,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomStairs/Items/acorn.png',0,0,50,41,1,0)
	anim:SetHotSpot(25,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('acorn',anim,250,272,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomStairs/Items/darts.png',0,0,152,54,1,0)
	anim:SetHotSpot(76,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('darts',anim,574,560,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomStairs/Items/pinion.png',0,0,63,64,1,0)
	anim:SetHotSpot(31,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pinion',anim,785,474,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/lamp_with_light_tool.png',0,0,105,152,1,0)
	anim:SetHotSpot(52,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp_with_light_tool',anim,98,691,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('lamp_with_light',anim,545,622,101,0,7,15)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/clock.png',0,0,52,96,1,0)
	anim:SetHotSpot(26,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,276,329,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/6_rock_skull_day_gear/zazhigalka.png',0,0,103,174,1,0)
	anim:SetHotSpot(51,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lighter',anim,117,560,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Animations/lizard_run.png',0,0,137,83,28,8)
	anim:SetHotSpot(39,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizard_run',anim,289,528,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/ZoomStairs/coin.png',0,0,61,50,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin',anim,664,463,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Animations/smoke.png',0,0,78,258,24,15)
	anim:SetHotSpot(39,129)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('smoke',anim,413,268,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/shell.png',0,0,45,37,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shell',anim,849,608,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/flank.png',0,0,60,80,1,0)
	anim:SetHotSpot(30,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flank',anim,731,401,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/lamp.png',0,0,105,152,1,0)
	anim:SetHotSpot(52,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,572,632,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Animations/oxygen_cylinder/oxygen_cylinder_state.png',0,0,124,192,1,0)
	anim:SetHotSpot(62,96)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oxygen_cylinder_state',anim,302,485,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Animations/oxygen_cylinder/oxygen_cylinder_fall.png',0,0,95,101,1,0)
	anim:SetHotSpot(47,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oxygen_cylinder_fall',anim,301,499,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/anvil.png',0,0,85,47,1,0)
	anim:SetHotSpot(42,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anvil',anim,451,364,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/bag1.png',0,0,94,72,1,0)
	anim:SetHotSpot(47,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag1',anim,320,177,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/bag2.png',0,0,55,44,1,0)
	anim:SetHotSpot(27,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag2',anim,867,268,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/cart.png',0,0,133,62,1,0)
	anim:SetHotSpot(66,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cart',anim,486,457,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/cauliflower.png',0,0,64,58,1,0)
	anim:SetHotSpot(32,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cauliflower',anim,735,283,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/exclamation_point.png',0,0,15,27,1,0)
	anim:SetHotSpot(7,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('exclamation_point',anim,960,595,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/hard_hat1.png',0,0,50,39,1,0)
	anim:SetHotSpot(25,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hard_hat1',anim,401,565,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/hard_hat2.png',0,0,58,67,1,0)
	anim:SetHotSpot(29,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hard_hat2',anim,998,427,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/knife2.png',0,0,108,25,1,0)
	anim:SetHotSpot(54,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife2',anim,536,40,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/lemon.png',0,0,23,24,1,0)
	anim:SetHotSpot(11,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lemon',anim,813,679,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/loudspeaker1.png',0,0,72,66,1,0)
	anim:SetHotSpot(36,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('loudspeaker1',anim,915,113,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/loudspeaker2.png',0,0,70,89,1,0)
	anim:SetHotSpot(35,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('loudspeaker2',anim,261,119,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/pepper.png',0,0,32,53,1,0)
	anim:SetHotSpot(16,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pepper',anim,829,202,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/ribbon.png',0,0,44,49,1,0)
	anim:SetHotSpot(22,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ribbon',anim,1011,611,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/scissors1.png',0,0,45,63,1,0)
	anim:SetHotSpot(22,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors1',anim,826,438,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/scissors2.png',0,0,76,60,1,0)
	anim:SetHotSpot(38,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors2',anim,827,146,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/scissors3.png',0,0,75,47,1,0)
	anim:SetHotSpot(37,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors3',anim,375,747,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/seashell2.png',0,0,52,38,1,0)
	anim:SetHotSpot(26,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell2',anim,1003,684,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ferruginous_ship_inside_/Items/wrench.png',0,0,80,38,1,0)
	anim:SetHotSpot(40,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,947,274,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
